package egovframework.service.mapper;

import egovframework.vo.*;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CommonMapper {

	WeatherInfoVO getWeatherInfo();
	
	List<RoadVertexArrVO> getVertexArr();
	
	List<CctvCtlrVO> getCctvCtlr();
	CctvCtlrVO getOneCctvCtlr(String nmbr);
	
	List<WcamCtlrVO> getWcamCtlr();
	
	List<VmsCtlrVO> getVmsCtlr();
	
	List<VmsCtlrVO> getVmsPhaseImgList();
	
	List<IncdVO> getIncdOcrr();
	
	List<AtrdVO> getAtrdNm();
	
	List<ParkingInfoVO> getParkingInfo();

	List<ParkingInfoVO> rtParking();

	List<CongestTrafficVO> findAllCongestTraffic();

	NewParkinginfoVO getNewParkingInfo(String parkId);

	List<NewParkingOccVO> getNewParkingOcc(String parkId);
	
	List<TaasVO> getTaasInfo();
	
	void insertUpdateLogWeb(Map<String, Object> paramMap);
	
	void insertUpdateHourLogWeb(Map<String, Object> paramMap);
	
	void insertUpdateDateLogWeb(Map<String, Object> paramMap);
	
	void insertUpdateMonthLogWeb(Map<String, Object> paramMap);
	
	List<VmsCtlrVO> getVmsImgTxt(String vms_ctlr_nmbr);
	
	
	List<RoadVertexArrVO> getLinkVertexArr();
	List<RoadVertexArrVO> getIfscVertexArr();
	List<RoadVertexArrVO> getRoadVertexArr();
	
	VisitCountVO getVisitCount();

	AtmpInfoVO getAtmpInfo();
}